Skip to main content
GET
/
accounts
List Accounts
curl --request GET \
  --url https://api.amplemarket.com/accounts \
  --header 'Authorization: Bearer <token>'
{
  "accounts": [
    {
      "key": "pub_123",
      "name": "Acme Corp",
      "website": "acme.com",
      "linkedin_url": "https://linkedin.com/company/acme",
      "owner_email": "owner@example.com",
      "last_contacted_at": null,
      "last_engaged_at": null
    }
  ],
  "_links": {
    "self": {
      "href": "/accounts?page[size]=10"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string

Filter accounts by name (case-insensitive partial match)

domain
string

Filter accounts by domain (exact match)

owner_email
string

Filter accounts by owner email (exact match)

tags[]
string[]

Filter accounts by tag names

page[after]
string

Cursor for next page (from _links.next)

page[size]
integer

Page size (default: 10, max: 50)

Response

Successful

accounts
object[]